## ----overview, eval=TRUE, echo=FALSE, fig.cap='(ref:overview)', out.width = '80%'----
knitr::include_graphics("Figures/Part1/MixOmicsAnalyses.pdf", auto_pdf = TRUE)


## ---- PCA-vac18, message=FALSE, warning=FALSE, fig.show='hold', fig.cap='(ref:mia-vac18)',fig.subcap=c('', ''), out.width='.45\\linewidth'----
library(mixOmics)

# Load data
data("vac18")

# Conduct PCA
pca.vac18 <- pca(vac18$genes, scale = TRUE)

# Sample plot
plotIndiv(pca.vac18, group = vac18$stimulation,  
          ind.names = vac18$sample,
          legend = TRUE, legend.title = 'Treatment',
          title = 'PCA on VAC18 data')

# Conduct PCA with multilevel argument
multilevel.pca.vac18 <- pca(vac18$genes, multilevel = vac18$sample, 
                            scale = TRUE)
# sample plot
plotIndiv(multilevel.pca.vac18, group = vac18$stimulation, pch = 16,
                    legend = TRUE, legend.title = 'Treatment',
                    title = 'Multilevel PCA on VAC18 data')


## ----------------------------------------------------
library(mixOmics)
sex <- factor(c("male", "female", "female", "male", "female", 
                "male", "female"))
food <- factor(c("low", "high", "medium", "high", "low", 
                 "medium", "high"))

sex.dummy <- unmap(sex)
colnames(sex.dummy) <- levels(sex)
food.dummy<- unmap(food)
colnames(food.dummy) <- levels(food)

Y <- data.frame(sex.dummy, food.dummy)
Y

